Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
:root {
	--bg: #2a2a2a;
	--bg-content: color-mix(in oklch, var(--bg), white 10%);
	--fg: whitesmoke;
	--fg-subtle: color-mix(in oklch, var(--fg), black 25%);
	--fg-a: color-mix(in oklch, #0645ad, white 65%);
	--fg-a-visited: color-mix(in oklch, var(--fg-a), var(--fg-subtle));
	--fg-a-red: color-mix(in oklch, #ba0000, white 25%);
}

body,
.toc, .toccolours {
	background-color: var(--bg);
}

.mw-body {
	background-color: var(--bg-content);
	color: var(--fg);
}

#mw-page-base {
	background-image: unset;
	background-color: unset;
}

#mw-panel {
	position: fixed;
	backdrop-filter: brightness(0.5);
	width: 8.8%;
}

#p-logo a {
	filter: brightness(2) saturate(0.5);
}

.mw-heading, h1, h2, h3, h4, h5, h6,
.vector-legacy-sidebar .vector-menu-portal .vector-menu-heading {
	color: var(--fg);
}

a,
.vector-legacy-sidebar .vector-menu-portal .vector-menu-content li a,
.vector-menu-tabs-legacy .selected a, .vector-menu-tabs-legacy .selected a:visited,
.vector-menu-tabs-legacy li a {
	color: var(--fg-a);
}


.vector-menu-tabs-legacy .new a, .vector-menu-tabs-legacy .new a:visited {
	color: var(--fg-a-red);
}

.vector-menu-tabs-legacy .selected,
.vector-menu-tabs-legacy li {
	background: unset;
	color: var(--fg-a);
}

.vector-menu-dropdown .vector-menu-heading {
	color: var(--fg-subtle);
}

a:visited {
	color: var(--fg-a-visited);
}

pre, code, .mw-code {
	background-color: var(--bg);
	color: var(--fg);
}